Ычан: [d | b / bro / hr / l / m / mi / mu / o / ph / r / s / sci / tran / tu / tv / x | es / vg | au / tr | a / aa / c / fi / jp / rm / tan / to / vn / vo]
[Назад]
Ответ в нить
Имя
Animapcha image [@] [?]
Тема   ( ответ в 15403)
Сообщение flower
Файл 
Пароль  (для удаления файлов и сообщений)
Параметры   
  • Прежде чем постить, ознакомьтесь с правилами.
  • Поддерживаются файлы типов 7Z, BZ, BZ2, GIF, GZ, JPG, MO, MP3, MP4, OGG, OGV, PDF, PNG, PSD, RAR, SVG, SWF, TXT, WEBM, WEBP, XCF, ZIP размером до 5000 кБ.
  • Ныне 3510 unique user posts. Посмотреть каталог
  • Максимальное количество бампов нити: 500
KSARepair iOS1.jpg - (349.97KB, 2048×1536)
15403
No. 15403    
Привет, ЫЧан
Я хотел бы спросить, нет никого, кто знает Питон и у него есть на руках огрызок с Jailbreak'ом?
Я пытаюсь перенести недавно вышедший Katawa Shoujo Alpha Repair на него, но опыта программирования на питоне нет.
No. 15404    
Прости, 410, я только понял, что доски общие
No. 15406    
Опыт по части RenPу и Python вроде бы есть, а вот обмылка нет - прям вот все девайсы на андроиде, извини.
No. 15408    
>>15406
Проблема в том, что я перенес весь код Альфы на новую версию Ren'Py и Python (у Альфы 2.5, а у релиза 1.3.1 на iOS – 2.7). Много багов я уже поправил, но есть и ошибки Ren'Py и Python'овского характера, которые я сам не пофикшу. Готов дать исходный поправленный код.
No. 15409    
>>15408
А ты уверен, что ты действительно хочешь менять версию RenPy без веской причины?
No. 15410    
>>15409
Я не могу не менять. Если я его сменю – весь билд крашится.
Я пробовал под версией 1.2 и 1.3.1. Что там что там версия ренпая намного выше той, что в альфе
No. 15411    
>>15409
Сейчас 6.99 не помню что, а в альфе 6.10
И это надо как то чинить...
No. 15412    
Завтра попытаюсь аккуратно заменить файлы ренпая, но вряд ли что-то заработает.
No. 15417    
>>15411
Имей в виду, что 6.99.Х использует другую версию SDL по сравнению с 6.1Х.Х. фактически, это мажорный апдейт, так что я не очень верю, что ты добьёшься работоспособности, смешивая файлы из разных сборок.
No. 15421    
>>15417
Я попытаюсь либо заменить целиком, либо портировать
No. 15423    
>>15421
Давай зайдём с другого конца.
1. Какие версии ренпи у тебя работают на айфоне?
2. Какие сборки катавы у тебя есть, под какие версии ренпи они собирались и работают ли они на соответствующих комповых версиях ренпи?
3. Что ты хочешь получить в самом конечном результате?
No. 15424    
>>15423
1 и 2 связаны) Так как на iOS есть только 1.2 и 1.3.1 Катавы, у нас есть только 6.99.Х и более близкая к Альфе (сейчас найду)
3) Работоспособную Альфу, правда, можно зайти с другой стороны и портировать лишь скрипты и главное меню
No. 15426    
Я только сейчас понял... А зачем на основе катавы? Можно на основе любой новеллы на Ren`Py, верно?
No. 15427    
>>15426
Разумеется, берёшь любую работающую игру, выбрасываешь /game/, подкладываешь свою.

Только это, в Катаве один из rpy-скриптов кастомную команду регистрирует. Так что нужно сразу и меню и скрипты и всё подкладывать. Подложить только сценарий сценок и ресурсы не получится.
No. 15430    
>>15427
осталось найти игру (ибо ту же версию, что и в альфе я не найду совсем.
No. 15431    
>>15403
Ren'Py 6.14 выдает ту же хрень
No. 15432    
Я нашел вероятную версию у Альфы: 6.10.x
No. 15433    
>>15432
В смысле, вероятную? Версию можно посмотреть во вполне конкретных файлах. script_version.rpy и renpy/__init__.py, если я правильно помню.
No. 15434    
>>15433
Спасибо, 6.10.2е
No. 15436    
Найти что-либо на Ren'Py раньше 6.14.0 почти невозможно, как я думаю, ибо большинство игр собиралось Ren'iOS
No. 15437    
Не очень новости, это только на iOS и это можно оставить на совести Ren'iOS
No. 15438    
Надеюсь, тут есть человек с Mac, способный помочь и собрать .ipa для распространения на JailBreak?
No. 15439    
>>15438
>тут есть человек с Mac
есть

>способный помочь и собрать .ipa для распространения на JailBreak?
хм, раньше собирал только для официального стора, но попробовать можно
No. 15441    
>>15439
Тогда сложу все аккуратно в папки для проекта Ren'Py
No. 15466    
>>15437
Там проблема не в renios, а в renpy 6.14.1, выполняющим код от renpy 6.10.2 без script_version.rpy
Удалить сообщение []
Пароль  
[Mod]